# lichartee

Clone of [matplotlib](https://matplotlib.org) in javascript

## Getting started

Download or clone this repo, then open [index.html](index.html) in your
favorite browser.

[test.js](test.js) present an example use of this library.

## [Documentation](doc/index.md)

## Author

- linarphy - *initial work*

## Versioning

We use [Semver](http://semver.org) for versioning.

## License

This project is licensied under the GPL 3 license - see the
[LICENSE](LICENSE) file for more information.

## Changelog

*v 0.1.5*
- Add state interface with jsplot (pyplot procedural style)
- Update documentation
- Update License
- Fix issue when no title is set
- Update [test.js](test.js) to use the new simple interface

*v 0.1.4*
- Add marker styling
- Add more option to stylize the line
- Update linestyle format
- Update documentation

*v 0.1.3*
- Add text support
- Add x and y-Axis with label

*v 0.1.2*
- Add documentation

*v 0.1.1*
- Allow the use of dashed and dotted line
- Remove Style class
- Improve rectangular box between axes
- Improve examples in [test.js](test.js)

*v 0.1.0*
- creation of a basic layout

## Roadmap

- Add named argument functionalities
